package com.infinitegraph.samples.webgroup;
// Import the BaseVertex class
import com.infinitegraph.BaseVertex;

public class Person extends BaseVertex
{
    private String name;
    private String screenName;
    private String password;

    public Person(String name, String password)
    {
        setName(name);
        setPassword(password);
        
    }

    public void setName(String name)
    {
        markModified();
        this.name = name;
    }

    public String getName()
	{
        fetch();
        return this.name;
    }
    public void setPassword(String password)
    {
        markModified();
        this.password = password;
    }

    public String getPassword()
	{
        fetch();
        return this.password;
    }

    public void setScreenName(String screenName)
    {
        markModified();
        this.screenName = screenName;
    }
    
    public String getScreenName()
	{
        fetch();
        return this.screenName;
    }

    @Override
    public String toString()
    {
        fetch();
        return this.name;
    }
} 