package com.infinitegraph.samples.webgroup;
// Import the BaseEdge class
import com.infinitegraph.BaseEdge;
import java.util.Calendar;

class Write extends BaseEdge
{
	private long timestamp;
	public Write(Calendar date)
	{		
		setTimestamp(date.getTimeInMillis());
		
	}

	public Calendar getTimeStamp()
	{
		fetch();
		Calendar myCal = Calendar.getInstance();
		myCal.setTimeInMillis(timestamp);
		return myCal;
	}

	protected void setTimestamp(long timestamp)
	{
		markModified();
		this.timestamp = timestamp;
	}

	
	@Override
	public String toString()
	{
		fetch();
		Calendar myCal = Calendar.getInstance();
		myCal.setTimeInMillis(timestamp);
		return myCal.getTime().toString();
	}
}
