package coreservlets;
import com.infinitegraph.samples.webgroup.*;


import java.io.*;
import java.util.Calendar;
import java.util.Collections;
import java.util.Iterator;
import java.util.Map;
import java.util.NavigableSet;
import java.util.TreeMap;
import java.util.Vector;

import javax.servlet.*;
import javax.servlet.annotation.*;
import javax.servlet.http.*;

import org.slf4j.Logger;

import com.infinitegraph.ConfigurationException;
import com.infinitegraph.GraphDatabase;
import com.infinitegraph.StorageException;

/** Servlet that prints out the param1, param2, and param3
 *  request parameters. Does not filter out HTML tags.
 *  <p>
 *  From <a href="http://courses.coreservlets.com/Course-Materials/">the
 *  coreservlets.com tutorials on servlets, JSP, Struts, JSF, Ajax, GWT, and Java</a>.
 */

@WebServlet("/HomePage")
public class HomePage extends HttpServlet {
	
  @Override
  public void doGet(HttpServletRequest request,
                    HttpServletResponse response)
      throws ServletException, IOException {
    response.setContentType("text/html");
    PrintWriter out = response.getWriter();
    
    String docType =
      "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0 " +
      "Transitional//EN\">\n";
  /*WebGroupSampleCreate create = new WebGroupSampleCreate();
    create.createGraph();*/
 String userName = request.getParameter("userName");
    String password = request.getParameter("password");
    String status = request.getParameter("status");
    String friendName = request.getParameter("friend");
    String title = userName;
    System.out.println(password);
    WebGroupSampleRun run = new WebGroupSampleRun();
    
    if (request.getParameter("SignUpButton") != null) {
       if(userName.equals("") || password.equals(""))
       {
    	   response.sendRedirect("index.html");
       }
       else if(run.CreateMemberNode(userName, password)){
 		  response.sendRedirect("index.html");
 	   }
    }
    if (request.getParameter("LoginButton") != null) {
    	if(run.ExistMemberNode(userName, password)){
   		  response.sendRedirect("index.html");
   	   } 
    }
    out.println(docType +
            "<HTML>\n" +
            "<HEAD>\n"+
            "<TITLE>" + title + "</TITLE>\n" +
            "<link rel=\"stylesheet\" type=\"text/css\" href=\"styles.css\">"+
            "</HEAD>\n" +
            "<BODY>\n" +
            "<div class=\"title\">\n"+
            "<h1>"+title+"</h1>\n"+
            "</div>");
    out.println(
			"<div class=\"button\">\n"+
			"<FORM ACTION=\"HomePage\">"+
		    "<p class=\"float\">\n"+
		    "<input type=\"text\" NAME=\"friend\" id=\"groupName\" placeholder=\"Friend Name\">\n"+
		    "</p>\n"+
		    "<p class=\"clearfix\">\n"+ 
		    "<input type=\"submit\" id=\"addButton\" value=\"Search for a Freind\" NAME=\"FindFriend\">\n"+
		    "</p>\n"+
			"<INPUT TYPE=\"HIDDEN\" VALUE="+userName+" NAME=\"userName\">\n"+
			"</FORM>\n"+
			"</div>\n"
        	);
    
    if(request.getParameter("FindFriend") != null){	 
    	if(!userName.equals(friendName))
    	{
	    	String result = run.checkFriend(userName, friendName);
	 	   if(result.equals("Friend") ||result.equals("YES")){
	 		  out.println(
	 		 "<div class=\"form-2\">\n"+
			 "<FORM ACTION=\"HomePage\">"+
			 "<ul class=\"groups\">"+
	 	     "<li class=\"group\">"+
	 	     "<div class=\"text\">"+friendName+"</div>");
	 	   }
	 	   if(result.equals("YES")){
	 	 out.println(   
	 	     "<a href=?userName="+userName+"&friend="+friendName+"&AddFriend=\"AddFriend\">Add Friend</a>");
	 	       
	 	   }
	 	  out.println( 
	 	  "</li>"+
		     "</ul>"+
		     "</FORM>"+
		     "</div>"); 
    	}
    }
   
    out.println("</FORM>"+
				"<div class=\"form-2\" id=\"form-3\">\n"+
				"<FORM ACTION=\"HomePage\">"+
			    "<p class=\"float\">\n"+
			    "<textarea type=\"text\" NAME=\"status\" placeholder=\"What's on your mind?\"></textarea>\n"+
			    "</p>\n"+
			    "<p class=\"clearfix\">\n"+ 
			    "<input type=\"submit\" id=\"addButton\" value=\"Post\" NAME=\"PostButton\">\n"+
			    "</p>\n"+
				"<INPUT TYPE=\"HIDDEN\" VALUE="+userName+" NAME=\"userName\">\n"+
				"<h1 class=\"newsfeed\"><span class=\"log-in\">News Feed</span></h1>"
				);
    if(request.getParameter("PostButton") != null){	
 	   run.CreateStatusNode(userName, status);
	   response.sendRedirect("HomePage?userName="+userName);
	   return;
    }
    Map<Calendar, PostInfo> treeMap = new TreeMap<Calendar, PostInfo>();
    treeMap = run.FindPosts(userName);
    for (Calendar date : treeMap.keySet()) {
 	   String d = date.getTime().toString();
 	   out.println(
 			  "<ul class=\"groups\">"+
 			  "<li class=\"group\">"+
 			  "<h1 class=\"writer\"><span class=\"log-in\">"+treeMap.get(date).getWriter()+"</span><span>"+d+"</span></h1>"+
 			  "<div class=\"text\">"+treeMap.get(date).getMessage()+"</div>"+
 			  "</li>"+
 			  "</ul>");
              
 	}
    out.println("</div></From>");
    Vector friends = new Vector();
    friends = run.FindFriends(userName);
    Iterator it = friends.iterator();
    out.println("<div class=\"form-2\" id=\"form-4\">\n"+
    		"<h1><span class=\"log-in\">Friends</span></h1>");
    for (; it.hasNext();)
    {
 	   out.println(
 			  "<ul class=\"groups\">"+
 			  "<li class=\"group\">"+
 			  "<div class=\"text\">"+it.next()+"</div>"+
 			  "</li>"+
 			  "</ul>");
              
 	}
    out.println("</div></From>");
	if(request.getParameter("PostButton") != null){	
		   run.CreateStatusNode(userName, status);
	   response.sendRedirect("HomePage?userName="+userName);
	   return;
	}
	
	
	  
	   
   if(request.getParameter("AddFriend") != null){	
	   run.AddFriend(userName, friendName);
	   response.sendRedirect("HomePage?userName="+userName);
	   return;
   }
   
   
    
  }
}
